Hey there.

So... you use an ad blocker. That's cool. Sometimes we do too.


But without ad revenue, we wouldn't even be here. And we might not be here much longer.

Please disable your ad blocker and click to continue.

  1. #1
    F1R3WALL Guest

    3.41 & Gt5 confirmation?

    Hey,

    Is there any confirmed news regarding GT5's release and if you will be able to play on 3.41 yet?

    I'm just concerned if I do exploit the PS3, if I will be able to play GT5.

    Thank You

  2. #2
    IndyColtsFan84 Guest
    PS3 JailBreak Game Compatibility List says it works, see for yourself:

    http://www.ps4news.com/subdomain.php...=ps3-jailbreak

  3. #3
    ernvil Guest
    I think F1R3WALL's referring to the upcoming GT5 game and not GT5:Prologue.

    Anyway back to the topic, I haven't heard of any news regarding the firmware needed to play GT5. If anyone does, I'd like to know too.

  4. #4
    aamir007 Guest
    My assumption will be that you will require the new update because Sony have done this in the past with the PSP so they will definitely do it on one of their biggest releases. But there may be a possibility that it can be patched to work in 3.41 like Yoshihiro did on PSP. Time will tell all.

  5. #5
    F1R3WALL Guest
    Yeah Prolog has been out for ages and I already own the original. Well I'm not sure if it will be required to use 3.42 or 3.50 as its due for release in 2 months and they may have already been started making copies.

  6. #6
    SnoopDo2G Guest
    We'll see when the game comes out lol

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in